Skip to main content
GET
/
v1
/
exchange
/
stablefx
/
settlementAdvance
/
repayment
/
{repaymentId}
Get a settlement advance repayment
curl --request GET \
  --url https://api.circle.com/v1/exchange/stablefx/settlementAdvance/repayment/{repaymentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
  "amount": {
    "currency": "USDC",
    "amount": "100.00"
  },
  "status": "pending",
  "createDate": "2023-01-01T12:04:05Z",
  "updateDate": "2023-01-01T12:04:05Z"
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

repaymentId
string<uuid>
required

The repayment identifier. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Response

Repayment details.

Settlement advance repayment.

id
string<uuid>
required

System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

amount
object
required

Currency and amount for settlement advance flows.

status
enum<string>
required

Status of a settlement advance repayment.

Available options:
pending,
completed,
failed
Example:

"pending"

createDate
string<date-time>
required

Date and time when the resource was created

Example:

"2023-01-01T12:04:05Z"

updateDate
string<date-time>
required

Date and time when the resource was last updated

Example:

"2023-01-01T12:04:05Z"